import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

import hilfsklassen.Bilder;

public class Rasterlayout extends Canvas
{
     private Image rasterbild = null;

     public Rasterlayout()
     {
         rasterbild = Bilder.holeBild("raster.png");

         JFrame frame = new JFrame();
         frame.setBounds(10,10,900,700);
         frame.getContentPane().add(this);
         frame.setVisible(true);          
     }

     public void paint(Graphics g)
     {         
         if(rasterbild!=null)
         {
             g.drawImage(rasterbild,0,0,Color.WHITE,this); 
         }

         Graphics2D g2d = (Graphics2D)g;

         g2d.setStroke(new BasicStroke(
                                       5.0f,                  // Liniendicke
                                       BasicStroke.CAP_ROUND, // Form des Linienendes
                                       BasicStroke.JOIN_ROUND // Verbindung von Polygonlinien
                                      )   
                      ); 
         g2d.setColor(Color.GREEN);

//Transformieren
         g2d.translate(200,400);      
         g2d.rotate(1.0);   

         g2d.drawRect(0,0,200,100);

//Letzte Transformation rckgngig machen!
         g2d.rotate(-1.0);   
         g2d.translate(-200,-400);      


         g2d.translate(400,100);      
         g2d.setColor(new Color(0,0,100));
         g2d.setFont(new Font("Arial",Font.BOLD,50));

         g2d.rotate(-Math.PI*0.5);   
         g2d.drawString("huhu",0,0);

         g2d.rotate(-Math.PI*0.5);   
         g2d.drawString("huhu",0,0);

         g2d.rotate(-Math.PI*0.5);   
         g2d.drawString("huhu",0,0);

         g2d.rotate(-Math.PI*0.5);   
         g2d.drawString("huhu",0,0);

     }

     public static void main(String[] args)
     {
         Rasterlayout rasterlayout = new Rasterlayout();
     }
}